<?php

    namespace FederationLib\Enums;

    final class DatabaseTables
    {
        public const ANOMALY_TRACKING = 'anomaly_tracking';
        public const CLIENTS = 'clients';
        public const EVENTS = 'events';
        public const PEERS = 'peers';
        public const PEERS_ASSOCIATIONS = 'peers_associations';
        public const PEERS_TELEGRAM_CHAT = 'peers_telegram_chat';
        public const PEERS_TELEGRAM_USER = 'peers_telegram_user';
        public const QUERY_DOCUMENTS = 'query_documents';
        public const REPORTS = 'reports';
        public const RESTRICTIONS = 'restrictions';

        public const ALL = [
            self::ANOMALY_TRACKING,
            self::CLIENTS,
            self::EVENTS,
            self::PEERS,
            self::PEERS_ASSOCIATIONS,
            self::PEERS_TELEGRAM_CHAT,
            self::PEERS_TELEGRAM_USER,
            self::QUERY_DOCUMENTS,
            self::REPORTS,
            self::RESTRICTIONS,
        ];
    }