<?php

    namespace FederationLib\Enums\Standard;

    final class PermissionRole
    {
        public const ROOT = 0;
        public const ADMIN = 1;
        public const OPERATOR = 2;
        public const AGENT = 3;
        public const CLIENT = 4;
        public const GUEST = 5;

        public const ALL = [
            self::ROOT => 'root',
            self::ADMIN => 'admin',
            self::OPERATOR => 'operator',
            self::AGENT => 'agent',
            self::CLIENT => 'client',
            self::GUEST => 'guest'
        ];
    }